﻿/*
Autor: Vicente Manuel García Huete - vicman.lobo@gmail.com
Este software está licenciado como Creative Commons Atribución-NoComercial-SinDerivar 4.0 Internacional

Quedan excluídos de la Licencia, y se prohíbe su redistribución, los siguientes recursos con Licencias Privadas:
Directorio: "Assets/EasyMovieTexture" (https://www.assetstore.unity3d.com/en/#!/content/10032)
Directorio: "Assets/Coindrop assets" (https://www.assetstore.unity3d.com/en/#!/content/28039)

Recursos con Licencias Creative Commons Utilizados:
YoutubeExtractor: https://github.com/flagbug/YoutubeExtractor
Youtube Data API v3: https://developers.google.com/youtube/v3/
Wallpaper Tablet: https://www.flickr.com/photos/101039078@N06/9759631834
Sprite de Carga: https://pixabay.com/es/proyector-proyector-cinematogr%C3%A1fico-361784/
Icono Youtube: https://pixabay.com/es/video-jugar-multimedia-youtube-481821/
Icono Imagen: https://commons.wikimedia.org/wiki/File:Image_manquante_2.svg
Iconos Zoom: https://commons.wikimedia.org/wiki/File:Zoom_out_font_awesome.svg
https://commons.wikimedia.org/wiki/File:Zoom_in_font_awesome.svg
Icono Salir: https://pixabay.com/es/registro-fuera-cerrar-sesi%C3%B3n-salida-35496/
Icono Mute: https://commons.wikimedia.org/wiki/File:Speaker_Icon.svg#/media/File:Mute_Icon.svg
Icono Volume Up: https://commons.wikimedia.org/wiki/File:Speaker_Icon.svg
Iconos Reproducción: https://pixabay.com/es/multimedia-botones-jugador-jugar-153230/
Icono Sprite Gaze: https://commons.wikimedia.org/wiki/File:Map_pointer.svg
Modelo Tablet: http://www.modelplusmodel.com/tech/apple-ipad-2.html
Icono Video: https://pixabay.com/es/cuenta-regresiva-cine-pel%C3%ADcula-155439/
Icono Preferencias: https://pixabay.com/es/engranajes-opciones-configuraci%C3%B3n-467261/
Icono Galería: https://pixabay.com/es/portapapeles-pel%C3%ADcula-clap-305778/
Fuente Cinerama: http://www.dafont.com/es/cinerama.font
*/

using UnityEngine;

public class Gaze2DScale : MonoBehaviour {

    public GameObject headObject;
    private RectTransform rtransform;                   // Referencia al RectTrasnform del Gaze 2D
    private float distance;                             // Distancia del Gaze 2D a los ojos
    private float scaleFactor = 0.06f;                  // Factor al que escala el Gaze 2D segun la distancia
    private float size;                                 // Tamaño del Gaze 2D dependiendo de la distancia y el factor de escala

	void Start () {
        rtransform = (RectTransform)transform;
        size = 0f;
	}
	
	void Update () {
        // Establece el tamaño del Gaze 2D segun la distancia para mantenerlo constante independientemente de esta
        distance = Vector3.Distance(transform.position, headObject.transform.position);
        size = distance * scaleFactor;
        rtransform.sizeDelta = new Vector2(size, size);
    }
}
